Ogre::Rectangle Struct Reference
General

`#include <OgreRectangle.h>`

List of all members.

## Public Member Functions

bool | inside (Real x, Real y) const

## Public Attributes

Real | left
Real | top
Real | right
Real | bottom

## Detailed Description

Definition at line 42 of file OgreRectangle.h.

## Member Function Documentation

bool Ogre::Rectangle::inside | ( | Real | x,
|  | Real | y
| ) |  | const

Definition at line 49 of file OgreRectangle.h.

## Member Data Documentation

Real Ogre::Rectangle::bottom

Definition at line 47 of file OgreRectangle.h.

Referenced by Ogre::intersect().

Real Ogre::Rectangle::left

Definition at line 44 of file OgreRectangle.h.

Referenced by Ogre::intersect().

Real Ogre::Rectangle::right

Definition at line 46 of file OgreRectangle.h.

Referenced by Ogre::intersect().

Real Ogre::Rectangle::top

Definition at line 45 of file OgreRectangle.h.

Referenced by Ogre::intersect().

The documentation for this struct was generated from the following file:

- OgreRectangle.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:34